%bcond_with docs

%global srcname Automat
%global libname automat

Summary:        Self-service finite-state machines for the programmer on the go
Name:           python-%{srcname}
Version:        22.10.0
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/glyph/automat
Source0:        %pypi_source

Patch0001:      backport-remove-dot-from-py.test.patch

BuildRequires:  python3-devel python3-pytest
%if %{with docs}
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

BuildArch:      noarch

%description
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).

%package -n     python3-%{srcname}
Summary:        Self-service finite-state machines for the programmer on the go
Provides:       python3-%{libname}

%description -n python3-%{srcname}
Automat is a library for concise, idiomatic Python expression of finite-state
automata (particularly deterministic finite-state transducers).

%if %{with docs}
%package -n python-%{srcname}-doc
Summary:        Automat documentation

%description -n python-%{srcname}-doc
Documentation for Automat
%endif

%prep
%autosetup  -p1 -n %{srcname}-%{version}
sed -i "s|'m2r',||g" setup.py > test.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=%{pyproject_build_lib}  sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%pytest -k "not test_simple_machine_transitions"

%files -n python3-%{srcname} -f %{pyproject_files}
%{_bindir}/automat-visualize

%if %{with docs}
%files -n python-%{srcname}-doc
%license LICENSE
%doc html
%endif

%changelog
* Sun Sep 29 2024 Shuo Wang <abushwang@tencent.com> - 22.10.0-5
- switch test from tox to pytest

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.10.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 22.10.0-3
- Rebuilt for loongarch release

* Fri May 31 2024 Shuo Wang <abushwang@tencent.com> - 22.10.0-2
- backport patch to fix check error

* Fri Sep 22 2023 Upgrade Robot <upbot@opencloudos.org> - 22.10.0-1
- Upgrade to version 22.10.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 20.2.0-1
- initial build
